. /var/config/symlink
if [ ! -s /var/config/*.emu ] ; then

echo "M:main:Download EMU first! " > $SYMLINK/cams.cfg
 else
 
 ei=`ls -1 /var/config/*.emu`
 echo "C:cams:Restart EMU:emustarter.sh" > $SYMLINK/cams.cfg
 echo "C:emu:Stop EMU:emustop.sh" >> $SYMLINK/cams.cfg

  
 for i in $ei
 do
  a=${i:12:$((${#i}-16))}
if [ ${a:0:5} != newcs ] ; then
  echo "C:cams:Start $a:emustart.sh:$a" >> $SYMLINK/cams.cfg
fi 
  done
drv=0
if [ -s /var/config/newcs ] ; then
. /var/config/newcs
fi

if [ -e /var/config/newcs.emu ] && [  -e /var/config/newcs_on ]; then
echo "C:main:NewCS Off:newcs.sh:off"  >> $SYMLINK/cams.cfg
echo "C:main:NewCS Restart:newcs.sh:restart"  >> $SYMLINK/cams.cfg
fi

if [ -e /var/config/newcs.emu ] && [ ! -e /var/config/newcs_on ] && [ $drv == on ] ; then

echo "C:main:NewCS ON:newcs.sh:on"  >> $SYMLINK/cams.cfg
fi
if [ -e /var/config/newcs.emu ] && [ ! -e /var/config/newcs_on ] && [ $drv != on ] ; then

echo "C:main:NewCS Restart:newcs.sh:restart"  >> $SYMLINK/cams.cfg
fi
  echo "M:emu:Back to EMU " >> $SYMLINK/cams.cfg
 fi
 sync
